<?xml version='1.0' encoding="utf-8" ?>
<xsl:stylesheet  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version='1.0'
	             xmlns:date="http://exslt.org/dates-and-times">

<xsl:output method="text" indent="no" encoding="utf-8"/>
<xsl:strip-space elements="*"/>

<xsl:template name="ifDefined">
	<xsl:param name="varname"/>
	<xsl:param name="value"/>
	<xsl:if test="normalize-space($value)!=''"><xsl:text> </xsl:text><xsl:value-of select="$varname"/>="<xsl:value-of select="$value"/>"</xsl:if>
</xsl:template>

<xsl:template match="/">
<!-- "io","id","type"."card","subdev","channel","textname"  -->

<xsl:for-each select="//sensors/item">
<xsl:sort select="@io" order="ascending" data-type="text"/>
<xsl:sort select="@card" order="ascending" data-type="number"/>
<xsl:sort select="@subdev" order="ascending" data-type="number"/>
<xsl:sort select="@channel" order="ascending" data-type="number"/>
<xsl:if test="@io!=''">@<xsl:value-of select="@name"/>@		iotype="<xsl:value-of select="@iotype"/>" io="<xsl:value-of select="@io"/>" card="<xsl:value-of select="@card"/>" subdev="<xsl:value-of select="@subdev"/>" channel="<xsl:value-of select="@channel"/>"<xsl:call-template name="parameters"/></xsl:if><xsl:text>
</xsl:text>
</xsl:for-each>
</xsl:template>

<xsl:template name="parameters">

<xsl:call-template name="ifDefined"><xsl:with-param name="value"><xsl:value-of select="@no_iotestlamp"/></xsl:with-param><xsl:with-param name="varname">no_iotestlamp</xsl:with-param></xsl:call-template>
<xsl:call-template name="ifDefined"><xsl:with-param name="value"><xsl:value-of select="@range"/></xsl:with-param><xsl:with-param name="varname">range</xsl:with-param></xsl:call-template>
<xsl:call-template name="ifDefined"><xsl:with-param name="value"><xsl:value-of select="@aref"/></xsl:with-param><xsl:with-param name="varname">aref</xsl:with-param></xsl:call-template>
<xsl:call-template name="ifDefined"><xsl:with-param name="value"><xsl:value-of select="@safety"/></xsl:with-param><xsl:with-param name="varname">safety</xsl:with-param></xsl:call-template>
<xsl:call-template name="ifDefined"><xsl:with-param name="value"><xsl:value-of select="@breaklim"/></xsl:with-param><xsl:with-param name="varname">breaklim</xsl:with-param></xsl:call-template>
<xsl:call-template name="ifDefined"><xsl:with-param name="value"><xsl:value-of select="@default"/></xsl:with-param><xsl:with-param name="varname">default</xsl:with-param></xsl:call-template>
<xsl:call-template name="ifDefined"><xsl:with-param name="value"><xsl:value-of select="@ioignore"/></xsl:with-param><xsl:with-param name="varname">ioignore</xsl:with-param></xsl:call-template>
<xsl:call-template name="ifDefined"><xsl:with-param name="value"><xsl:value-of select="@ioinvert"/></xsl:with-param><xsl:with-param name="varname">ioinvert</xsl:with-param></xsl:call-template>
<xsl:call-template name="ifDefined"><xsl:with-param name="value"><xsl:value-of select="@cdiagram"/></xsl:with-param><xsl:with-param name="varname">cdiagram</xsl:with-param></xsl:call-template>
<xsl:call-template name="ifDefined"><xsl:with-param name="value"><xsl:value-of select="@cmin"/></xsl:with-param><xsl:with-param name="varname">cmin</xsl:with-param></xsl:call-template>
<xsl:call-template name="ifDefined"><xsl:with-param name="value"><xsl:value-of select="@cmax"/></xsl:with-param><xsl:with-param name="varname">cmax</xsl:with-param></xsl:call-template>
<xsl:call-template name="ifDefined"><xsl:with-param name="value"><xsl:value-of select="@rmin"/></xsl:with-param><xsl:with-param name="varname">rmin</xsl:with-param></xsl:call-template>
<xsl:call-template name="ifDefined"><xsl:with-param name="value"><xsl:value-of select="@rmax"/></xsl:with-param><xsl:with-param name="varname">rmax</xsl:with-param></xsl:call-template>
<xsl:call-template name="ifDefined"><xsl:with-param name="value"><xsl:value-of select="@precision"/></xsl:with-param><xsl:with-param name="varname">precision</xsl:with-param></xsl:call-template>
<xsl:call-template name="ifDefined"><xsl:with-param name="value"><xsl:value-of select="@noprecision"/></xsl:with-param><xsl:with-param name="varname">noprecision</xsl:with-param></xsl:call-template>
<xsl:call-template name="ifDefined"><xsl:with-param name="value"><xsl:value-of select="@ondelay"/></xsl:with-param><xsl:with-param name="varname">ondelay</xsl:with-param></xsl:call-template>
<xsl:call-template name="ifDefined"><xsl:with-param name="value"><xsl:value-of select="@offdelay"/></xsl:with-param><xsl:with-param name="varname">offdelay</xsl:with-param></xsl:call-template>
<xsl:call-template name="ifDefined"><xsl:with-param name="value"><xsl:value-of select="@jardelay"/></xsl:with-param><xsl:with-param name="varname">jardelay</xsl:with-param></xsl:call-template>
<xsl:call-template name="ifDefined"><xsl:with-param name="value"><xsl:value-of select="@nofilter"/></xsl:with-param><xsl:with-param name="varname">nofilter</xsl:with-param></xsl:call-template>
<xsl:call-template name="ifDefined"><xsl:with-param name="value"><xsl:value-of select="@median"/></xsl:with-param><xsl:with-param name="varname">median</xsl:with-param></xsl:call-template>
<xsl:call-template name="ifDefined"><xsl:with-param name="value"><xsl:value-of select="@leatsqr"/></xsl:with-param><xsl:with-param name="varname">leatsqr</xsl:with-param></xsl:call-template>
<xsl:call-template name="ifDefined"><xsl:with-param name="value"><xsl:value-of select="@filterIIR"/></xsl:with-param><xsl:with-param name="varname">filterIIR</xsl:with-param></xsl:call-template>
<xsl:call-template name="ifDefined"><xsl:with-param name="value"><xsl:value-of select="@filterT"/></xsl:with-param><xsl:with-param name="varname">filterT</xsl:with-param></xsl:call-template>
<xsl:call-template name="ifDefined"><xsl:with-param name="value"><xsl:value-of select="@average"/></xsl:with-param><xsl:with-param name="varname">average</xsl:with-param></xsl:call-template>
<xsl:call-template name="ifDefined"><xsl:with-param name="value"><xsl:value-of select="@hilimit"/></xsl:with-param><xsl:with-param name="varname">hilimit</xsl:with-param></xsl:call-template>
<xsl:call-template name="ifDefined"><xsl:with-param name="value"><xsl:value-of select="@lowlimit"/></xsl:with-param><xsl:with-param name="varname">lowlimit</xsl:with-param></xsl:call-template>
<xsl:call-template name="ifDefined"><xsl:with-param name="value"><xsl:value-of select="@threshold_aid"/></xsl:with-param><xsl:with-param name="varname">threshold_aid</xsl:with-param></xsl:call-template>
<xsl:call-template name="ifDefined"><xsl:with-param name="value"><xsl:value-of select="@threshold_invert"/></xsl:with-param><xsl:with-param name="varname">threshold_invert</xsl:with-param></xsl:call-template>
</xsl:template>
</xsl:stylesheet>
